from mtgweb.analyzer.models import *
from django.contrib import admin

class IncludedInline(admin.TabularInline):
    model = Included
    extra = 1
class CardAdmin(admin.ModelAdmin):
    inlines = (IncludedInline,)
    search_fields = ['name']
    list_filter = ['type']
class DeckAdmin(admin.ModelAdmin):
    inlines = (IncludedInline,)

admin.site.register(Card, CardAdmin)
admin.site.register(Deck, DeckAdmin)
admin.site.register(CardType)
