from django.template import Library

register = Library()

@register.filter
def mult(value, arg):
    "Multiplies the arg and the value"
    return int(value) * int(arg)

@register.filter
def sub(value, arg):
    "Subtracts the arg from the value"
    return int(value) - int(arg)

@register.filter
def div(value, arg):
    "Divides the value by the arg"
    return int(value) / int(arg)

@register.filter
def getsum(value):
    if type(value) == dict:
        return sum(value.values())
    elif type(value) == list:
        return sum(value)
    else:
        return 0
@register.filter
def getmax(value):
    if type(value) == dict:
        return max(value.values())
    elif type(value) == list:
        return max(value)
    else:
        return 0
