from django.conf.urls.defaults import *
from django.views.generic import list_detail
from mtgweb.analyzer.models import Card

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^mtgweb/', include('mtgweb.foo.urls')),
    (r'^$', 'mtgweb.analyzer.views.index'),
    (r'^cards/$', list_detail.object_list, {'queryset': Card.objects.all(), 'paginate_by': 20}),
    (r'^cards/(?P<name>.*?)/$', 'mtgweb.cards.views.display'),
    (r'^decks/$', 'mtgweb.decks.views.index'),
    (r'^decks/(?P<id>\d+)/$', 'mtgweb.decks.views.detail'),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
)
